Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004141OCamlOCaml generalpublic2006-10-25 12:582012-11-20 11:09
Reporterdbueno 
Assigned Todoligez 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.3 
Target VersionFixed in Version3.09.4+dev / +rc 
Summary0004141: Bus error using doubly-linked, circular list with lazy evaluation
DescriptionI get a "Bus error" when running a unit test on a doubly-linked
circular list (of length 2). I have 8 fields in a record which includes two left & right
pointers (not ref types).

I am running a PowerMac G5 2.5GHz (uname -a: Darwin ford.local 8.8.0
Darwin Kernel Version 8.8.0: Fri Sep 8 17:18:57 PDT 2006;
root:xnu-792.12.6.obj~1/RELEASE_PPC Power Macintosh powerpc) and
ocaml 3.09.3.

Interestingly, if I remove a field (such as the mark field), the test
case succeeds.
TagsNo tags attached.
Attached Files? file icon ll_test.ml [^] (2,031 bytes) 2006-10-25 12:58 [Show Content]

- Relationships
related to 0005819resolveddoligez ocamlopt generates segfaulting code when using [with] on recursive record with 6+ fields. 

-  Notes
(0003818)
dbueno (reporter)
2006-10-25 13:00

Richard Jones confirmed a seg fault on OCaml 3.09.1, Linux/AMD64, on caml-list on 25 Oct, 2006.
(0003819)
dbueno (reporter)
2006-10-25 13:03

I should have given instructions on how to compile. Here they are:

ocamlc.opt -w FUE -I . -g -c ll_test.ml
ocamlc.opt -o ll_test -w FUE -I . -g ll_test.cmo

- Issue History
Date Modified Username Field Change
2006-10-25 12:58 dbueno New Issue
2006-10-25 12:58 dbueno File Added: ll_test.ml
2006-10-25 13:00 dbueno Note Added: 0003818
2006-10-25 13:03 dbueno Note Added: 0003819
2006-11-15 16:03 doligez Status new => acknowledged
2006-11-17 15:38 doligez Status acknowledged => assigned
2006-11-17 15:38 doligez Assigned To => doligez
2006-11-17 16:35 doligez Status assigned => closed
2006-11-17 16:35 doligez Resolution open => fixed
2006-11-17 16:35 doligez Fixed in Version => 3.09.4+dev / +rc
2012-11-20 11:09 doligez Relationship added related to 0005819


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker